id: rail-fill
source: spirit
source-layer: railways
type: line
filter:
  - all
  - - in
    - [get, railway]
    - - literal
      - - rail
  - ['!', [get, tunnel]]
  - ['!', [get, bridge]]
paint:
  line-dasharray: [3, 3]
  line-color: white
  line-width:
    - interpolate
    - - exponential
      - 1.35
    - - zoom
    - 12
    - 1
    - 20
    - 8
layout:
  line-cap: butt
  line-sort-key:
    - +
    - [get, z_order]
    - - '*'
      - [get, layer]
      - 1000
